<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Subject Full Details</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
          <table class="table mg-b-0">
            <thead>
              <tr>
                <th>ID</th>
                <th>College Name</th>
                <th>Degree Name</th>
                <th>Semester Name</th>
                <th>Subject Name</th>
                <th>Module Name</th>
                <th>Edit</th>
                <th>Image</th>
                <th>Image Edit</th>
                <th>Status</th>
                <th>Action</th>
                <th>lock Status</th>
                <th>Updation</th>
              </tr>
            </thead>
            <tbody>
              <% var i = 0; %>
              <% details.forEach(function(details,index){ %>
              <tr>
                <th scope="row"><%= details.degree.semester.subject.module.id %></th>
                <td><%= details.name %></td>
                <td><%= details.degree.name %></td>
                <td><%= details.degree.semester.name %></td>
                <td><%= details.degree.semester.subject.name %></td>
                <td><%= details.degree.semester.subject.module.name %></td>

                <td><a href="/module_edit/<%=details.degree.semester.subject.module.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Edit"
                >
                  <i class="fa fa-pencil-square-o"></i>
                </button>
                </a></td>

                <td><img src="files/subjects/<%= details.degree.semester.subject.module.image %>" style="height:50px; width:50px;"></td>
                
                <td><a href="/module_image_edit/<%=details.degree.semester.subject.module.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Edit"
                >
                  <i class="fa fa-pencil-square-o"></i>
                </button>
                </a></td>


                
                
                <td>
                    <% if (details.degree.semester.subject.module.active == 1) { %>
                        Active
                     <% } else { %>
                     <b style='color:red;'> In-Active</b> 
                      <% } %>
                  </td>
                  <td>
                    <div class="btn-group" role="group" aria-label="Basic example">
                    
                     
                      <% if (details.degree.semester.subject.module.active == 1) { %>
                        <a href="/module_inactive/<%=details.degree.semester.subject.module.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Make inactive"
                    >
                      <i class="fa fa-eye-slash"></i>
                    </button>
                  </a>
                    <% } else { %>
                      <a href="/module_active/<%=details.degree.semester.subject.module.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make active"
                  >
                    <i class="fa fa-eye"></i>
                  </button>
                  </a>
                  <% } %>
  
  
                    </div>
                  </td>

                  <td>
                    <% if (details.degree.semester.subject.module.locked == 0) { %>
                        Open
                     <% } else { %>
                     <b style='color:red;'> Lock</b> 
                      <% } %>
                  </td>
                  <td>
                    <div class="btn-group" role="group" aria-label="Basic example">
                    
                     
                      <% if (details.degree.semester.subject.module.locked == 0) { %>
                        <a href="/module_block/<%=details.degree.semester.subject.module.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Make inactive"
                    >
                      <i class="fa fa-close"></i>
                    </button>
                  </a>
                    <% } else { %>
                      <a href="/module_unblock/<%=details.degree.semester.subject.module.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make active"
                  >
                    <i class="fa fa-check"></i>
                  </button>
                  </a>
                  <% } %>
  
  
                    </div>
                  </td>




              </tr>
              <% }); %>
            </tbody>
          </table>
        </div>



        <%-include('./shared/scripts.ejs')%>



<%-include('./shared/footer.ejs')%>



